##
##  pdksh.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pdksh
Summary:      Public-Domain Korn Shell
URL:          http://www.cs.mun.ca/~michael/pdksh/
Vendor:       Eric Gisin, Charles Forsyth
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Shell
License:      unknown
Version:      5.2.14
Release:      20080101

#   list of sources
Source0:      ftp://ftp.cs.mun.ca/pub/pdksh/pdksh-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
Provides:     KSH
Conflicts:    ksh

%description
    PDKSH is a clone of the AT&T Korn shell. At the moment, it has most
    of the Ksh88 features, not much of the Ksh93 features, and a number
    of its own features. PDKSH was initially created by Eric Gisin using
    Charles Forsyth's public domain V7 shell as a base as well as parts
    of the BRL shell. Since then a number of people have maintained and
    contributed to it.

%track
    prog pdksh = {
        version   = %{version}
        url       = http://www.cs.mun.ca/~michael/pdksh/
        regex     = pdksh-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst -s \
        -e '1s;/bin/sh;%{l_bash};' \
        siglist.sh
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2>/dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

%post
    if [ ".$1" = .1 ]; then
        if [ -f /etc/shells ]; then
            if [ ".`grep $RPM_INSTALL_PREFIX/bin/pdksh /etc/shells`" = . ]; then
                ( echo "Hint: To use $RPM_INSTALL_PREFIX/bin/pdksh as the login"
                  echo "shell for users, please add this path to /etc/shells."
                ) | %{l_rpmtool} msg -b -t notice
            fi
        fi
    fi

